#pragma once

#include "CoreMinimal.h"
#include "DataTableDropdown.h"
#include "AITunableParameter.h"
#include "AIPerkTunnableWeight.generated.h"

USTRUCT(BlueprintType)
struct FAIPerkTunnableWeight
{
	GENERATED_BODY()

public:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FDataTableDropdown PerkId;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FAITunableParameter Weight;

public:
	DBDBOTS_API FAIPerkTunnableWeight();
};

FORCEINLINE uint32 GetTypeHash(const FAIPerkTunnableWeight) { return 0; }
